Subject: Re: [nemo] Route Optimization by CR

From: Ryuji Wakikawa <[email-masked]>
Date: Wed, 4 Aug 2004 02:08:04 +0900

Hello Pascal!

Thanks for comments.

On 2004/07/31, at 2:55, Pascal Thubert (pthubert) wrote:

> Hi Ryuji:
>
> I liked your draft for a number of reasons; mostly because it reflects
> an deep understanding of the problem statement for RO in the
> infrastructure. I like the structure of the doc and the items that are
> discussed and I think they are very relevant.
>
> I have more reserves with the solutions because:
>
> - Nested and infra ROs are merged in the doc but they should not since
> they are different. Note that ORC in the infra is compatible with RRH 
> :)

I agree with you.  We were not sure whether we introduce the nested 
case in ORC draft.
That is why we put the nested case in Appendix  .
Using RRH over ORC is interesting topic.

> - the Nested RO part is not self sufficient since you need a MANET that
> you do not described. I believe that the value of the draft is more in
> the infra part.
>

OK.
The important point  of this ID is not around nested, but RO using CR.

> - I do not believe in the assumption that there will be a CR for all
> /64. Hence, we must find something else for CR discovery. Maybe some
> service like DNS. Maybe some BGP extension. I hate snooping.

Yes.
CR discovery is one item we can not come up with a clear solution in 
this version of the draft.
We understand that putting CR for all /64 is not so realistic.

> - CR redistributes the NEMO routes it got from RO Bus into its IGP. As 
> a
> result, the route exchange process MUST have the safety of routing
> protocols in the Internet. There must be a trust chain that tells you
> that this MR really owns that MNP and I believe that RR test is not
> enough there. Maybe some route servers.

In the current draft, we stay security as a operational decision.
If CR is authorized by network administrator, the CR can redistribute 
NEMO routes.
If not, IGP routers just ignore the redistributed routes from the CR.

> Nemo allows to build a tunnel in a P2P fashion, and to exchange routes
> over that tunnel.
> I call that process route projection when I present it. Route 
> Projection
> may become very important for the scalability of the Internet.

I think the concept of route projection is similar to ORC.
If MR supports functions of ORC router (say CR), we can provide certain 
level of router projection.

> There are lower level details that I could discuss. Like adding text 
> for
> topological correctness over the tunnels, things like that.

Can you elaborate this.
I don't get your point of the topological correctness issue.

regards,
ryuji